libxklavier-4.0-9.el6.i686.rpm


Advertisement

Description

libxklavier - High-level API for X Keyboard Extension

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename libxklavier-4.0-9.el6.i686.rpm
Package name libxklavier
Package version 4.0
Package release 9.el6
Package architecture i686
Package type rpm
Category Development/Libraries
Homepage http://gswitchit.sourceforge.net/
License LGPLv2+
Maintainer -
Download size 56.76 KB
Installed size 133.40 KB
libxklavier is a library providing a high-level API for the X Keyboard
Extension (XKB). This library is intended to support XFree86 and other
commercial X servers. It is useful for creating XKB-related software
(layout indicators etc).

Alternatives

Package Version Architecture Repository
libxklavier-4.0-9.el6.x86_64.rpm 4.0 x86_64 CentOS
libxklavier-4.0-9.el6.i686.rpm 4.0 i686 CentOS
libxklavier - - -

Requires

Name Value
/sbin/ldconfig -
libX11.so.6 -
libXi.so.6 -
libc.so.6(GLIBC_2.4) -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libxkbfile.so.1 -
libxml2.so.2 -
libxml2.so.2(LIBXML2_2.4.30) -
libxml2.so.2(LIBXML2_2.6.0) -
rtld(GNU_HASH) -

Provides

Name Value
libxklavier = 4.0-9.el6
libxklavier(x86-32) = 4.0-9.el6
libxklavier.so.15 -

Download

Type URL
Mirror mirror.centos.org
Binary Package libxklavier-4.0-9.el6.i686.rpm
Source Package libxklavier-4.0-9.el6.src.rpm

Install Howto

Install libxklavier rpm package:

# yum install libxklavier

Files

Path
/usr/lib/libxklavier.so.15
/usr/lib/libxklavier.so.15.0.0
/usr/share/doc/libxklavier-4.0/AUTHORS
/usr/share/doc/libxklavier-4.0/COPYING.LIB
/usr/share/doc/libxklavier-4.0/NEWS
/usr/share/doc/libxklavier-4.0/README

Changelog

2012-03-02 - Ray Strode <rstrode@redhat.com> 4.0-9
- Fix problem where state holding active keyboard group
gets out of sync
Resolves: #726885
2011-10-21 - Ray Strode <rstrode@redhat.com> 4.0-8
- Catch more XInput errors
Resolves: #657726
2009-12-10 - Matthias Clasen <mclasen@redhat.com> - 4.0-7
- Catch more X errors
2009-10-15 - Matthias Clasen <mclasen@redhat.com> - 4.0-6
- Incorporate upstream fixes for XInput error handling
2009-10-02 - Matthias Clasen <mclasen@redhat.com> - 4.0-5
- Handle BadDrawable errors gracefully
2009-07-25 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
2009-07-09 - Matthias Clasen <mclasen@redhat.com> - 4.0-3
- Avoid a critical warning at runtime
2009-07-01 - Rex Dieter <rdieter@fedoraproject.org> - 4.0-2
- %files: track files closer, esp lib sonames
- %build: drop --disable-doxygen, add --disable-static, add %{?_smp_mflags}
2009-06-30 - Matthias Clasen <mclasen@redhat.com> - 4.0-1
- Update to 4.0
2009-03-19 - Matthias Clasen <mclasen@redhat.com> - 3.9-1
- Update to 3.9

See Also

Package Description
libxklavier-devel-4.0-9.el6.i686.rpm Development files for libxklavier
libxml2-2.7.6-21.el6_8.1.i686.rpm Library providing XML and HTML support
libxml2-devel-2.7.6-21.el6_8.1.i686.rpm Libraries, includes, etc. to develop XML and HTML applications
libxml2-python-2.7.6-21.el6_8.1.i686.rpm Python bindings for the libxml2 library
libxml2-static-2.7.6-21.el6_8.1.i686.rpm Static library for libxml2
libxshmfence-1.2-1.el6.i686.rpm X11 shared memory fences
libxshmfence-devel-1.2-1.el6.i686.rpm Development files for libxshmfence
libxslt-1.1.26-2.el6_3.1.i686.rpm Library providing the Gnome XSLT engine
libxslt-devel-1.1.26-2.el6_3.1.i686.rpm Libraries, includes, etc. to embed the Gnome XSLT engine
libxslt-python-1.1.26-2.el6_3.1.i686.rpm Python bindings for the libxslt library
libyaml-0.1.3-4.el6_6.i686.rpm YAML 1.1 parser and emitter written in C
libyaml-devel-0.1.3-4.el6_6.i686.rpm Development files for LibYAML applications
libzip-0.9-3.1.el6.i686.rpm C library for reading, creating, and modifying zip archives
libzip-devel-0.9-3.1.el6.i686.rpm Development files for libzip
linuxdoc-tools-0.9.65-3.el6.i686.rpm A text formatting package based on SGML
Advertisement
Advertisement